using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class SMD3Vertex
    {
        public short[] position
        {
            get
            {
                var arr = new short[3];
                for (int i = 0; i < arr.Length; i++)
                {
                    arr[i] = this._getposition(i);
                }
                return arr;
            }
            set 
            {
                for (int i = 0; i < value.Length; i++)
                {
                    this._setposition(i, value[i]);
                }
            }
        }
        public byte[] normal
        {
            get
            {
                var arr = new byte[2];
                for (int i = 0; i < arr.Length; i++)
                {
                    arr[i] = this._getnormal(i);
                }
                return arr;
            }
            set
            {
                for (int i = 0; i < value.Length; i++)
                {
                    this._setnormal(i, value[i]);
                }
            }
        }
    }
}
